<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>JS Array</title>
  </head>

  <body>
    <div>
      <p id="paragraph">Array methods</p>
      <a href="https://www.w3schools.com/js/js_array_methods.asp" target="_blank">Ресурси</a>
    </div>

    <p>За масива [10, 20, 30, 40, 50, 75, 125]:</p>
    <ol>
      <li>Обходете масива и изведете всички елементи в конзолата, използайки forEach()</li>
      <li>
        Обходете масива, като изведете индикация кое число е четно и кое не е (презаписване на стойността му), използвайки map(). Резултат - ['10 е четно число', '20 е четно число', '30 е четно число', '40 е четно число', '50 е четно число', '75 е
        нечетно число', '125 е нечетно число']
      </li>
      <li>Изчислете средно аритметичното на числата в масива, използвайки reduce()</li>
      <li>Филтрирайте масива, използайки filter() - филтрираният масив да съдържа числата по-големи от 25</li>
    </ol>

    <script src="scripts/main.js"></script>
  </body>
</html>
